.md-dialog {
  max-width: 750px;
  max-height: 550px;
  display: block;
}

dialog .md-toolbar {
  border: none;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  min-height: 90px;
  padding-top: 10px;
  padding-left: 20px;
  padding-right: 20px;
  position: relative;
  color: #999999;
  font-size: 21px;
  border-bottom: solid 1px;
  border-color: rgba(0, 0, 0, 0.1);
}

dialog .md-action {
  position: absolute;
  left: 0px;
  right: 0px;
  bottom: 0px;
  display: flex;
  justify-content: flex-end;
  min-height: 50px;
  padding-right: 40px;
  padding-bottom: 20px;
}

dialog .md-action .md-new-buttn {
  position: relative;
  overflow: hidden;
  border: none;
  min-height: 30px;
  padding: 10px 15px;
  background: #e6e6e6;
  color: #999999;
  border-radius: 3px;
  font-size: 13px;
  font-weight: 600;
  margin-left: 5px;
}

dialog .md-action .md-new-buttn:hover {
  color: #00aaff;
}

dialog .md-action .md-save-buttn {
  position: relative;
  overflow: hidden;
  border: none;
  min-height: 30px;
  padding: 10px 15px;
  background: #e6e6e6;
  color: #999999;
  border-radius: 3px;
  font-size: 13px;
  font-weight: 600;
  margin-left: 5px;
}
dialog .md-action .md-save-buttn:hover {
  color: #00aaff;
}

dialog .md-action .md-exit-buttn {
  position: relative;
  overflow: hidden;
  border: none;
  min-height: 30px;
  padding: 10px 15px;
  background: #e6e6e6;
  color: #ff9900;
  border-radius: 3px;
  font-size: 13px;
  font-weight: 600;
  margin-left: 5px;
}

dialog .md-action .md-exit-buttn:hover {
  color: red;
}

dialog .md-button {
  color: #999999;
}

dialog .md-button:hover {
  color: red;
}

.md-dialog .md-content .md-row {
  display: flex;
  padding-top: 10px;
  height: 40px;
  margin-right: 200px;
}

.md-dialog .md-content .md-row span {
  font-size: 14px;
  line-height: 29px;
  min-width: 120px;
  padding-right: 20px;
  border-bottom: solid 1px;
  color: #999999;
  border-bottom-color: #e6e6e6;
}

.tab-panels .tab-panel .md-row input {
  outline: none;
  height: 30px;
  color: #666666;
  min-width: 350px;
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: solid 1px;
  border-bottom-color: #e6e6e6;
}

.tab-panels .tab-panel .md-row input:focus {
  outline: none;
  color: #0099e6;
  border-width: 2px;
  border-color: #0099e6;
}

.tab-panels .tab-panel .md-row:has(input:focus) span {
  color: #666666;
}

dialog {
  margin: auto;
  border: none;
  padding: 0; /* Để con bên trong kiểm soát padding */
  width: 100%;
  height: 100%;

  border-radius: 5px;
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);

  /* Cấu hình Animation đóng (Mặc định) */
  opacity: 0;
  transform: translateY(-50px) scale(0.9);
  transition:
    opacity 0.3s ease-out,
    transform 0.3s ease-out,
    overlay 0.3s allow-discrete,
    display 0.3s allow-discrete;
}

/* Khi Dialog được mở (Trạng thái Open) */
dialog[open] {
  opacity: 1;
  transform: translateY(0) scale(1);
}

dialog::backdrop {
  background-color: rgba(0, 0, 0, 0);
  /* backdrop-filter: blur(0px); */
  transition:
    display 0.3s allow-discrete,
    overlay 0.3s allow-discrete,
    background-color 0.3s ease-out,
    backdrop-filter 0.3s ease-out;
}

dialog[open]::backdrop {
  background-color: rgba(0, 0, 0, 0.5);
  /* backdrop-filter: blur(4px); */
}

@starting-style {
  dialog[open] {
    opacity: 0;
    transform: translateY(-50px) scale(0.9);
  }
  dialog[open]::backdrop {
    background-color: rgba(0, 0, 0, 0);
    backdrop-filter: blur(0px);
  }
}

.agm-skeletion-contain {
  top: 90px;
  left: 0px;
  right: 0px;
  bottom: 90px;
  display: block;
  position: absolute;
  padding-top: 5px;
  padding-left: 100px;
  padding-right: 100px;
  background: white;
  z-index: 100;
}

.skeleton {
  background: #eee;
  background: linear-gradient(110deg, #ececec 8%, #f5f5f5 18%, #ececec 33%);
  background-size: 200% 100%;
  animation: shimmer 1.5s linear infinite;
  border-radius: 4px;
}

@keyframes shimmer {
  0% {
    background-position: -200% 0;
  }
  100% {
    background-position: 200% 0;
  }
}

.agm-skeletion-contain .row {
  position: relative;
  margin-top: 22px;
  margin-right: 80px;
  height: 22px;
}
